Back to DrivenData | Blog

Running benchmark

I zipped main.py and /assets to submission.zip. So this is keras-benchmark. Uploaded it. And it failed with
2020-01-16 14:49:50.523792: I tensorflow/compiler/xla/service/service.cc:175] StreamExecutor device (0): Tesla V100-PCIE-16GB, Compute Capability 7.0
INFO:root:Loading and processing metadata.
Traceback (most recent call last):
File “/opt/conda/envs/py-gpu/lib/python3.6/site-packages/pandas/io/parsers.py”, line 2059, in read
data = self._reader.read(nrows)
File “pandas/_libs/parsers.pyx”, line 881, in pandas._libs.parsers.TextReader.read
File “pandas/_libs/parsers.pyx”, line 921, in pandas._libs.parsers.TextReader._read_low_memory
StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "main.py", line 104, in <module>
    perform_inference()
  File "main.py", line 35, in perform_inference
    test_metadata = pd.read_csv(DATA_PATH / "test_metadata.csv", index_col="seq_id")
  File "/opt/conda/envs/py-gpu/lib/python3.6/site-packages/pandas/io/parsers.py", line 685, in parser_f
    return _read(filepath_or_buffer, kwds)
  File "/opt/conda/envs/py-gpu/lib/python3.6/site-packages/pandas/io/parsers.py", line 463, in _read
    data = parser.read(nrows)
  File "/opt/conda/envs/py-gpu/lib/python3.6/site-packages/pandas/io/parsers.py", line 1154, in read
    ret = self._engine.read(nrows)
  File "/opt/conda/envs/py-gpu/lib/python3.6/site-packages/pandas/io/parsers.py", line 2068, in read
    dtype=self.kwds.get("dtype"),
  File "/opt/conda/envs/py-gpu/lib/python3.6/site-packages/pandas/io/parsers.py", line 3501, in _get_empty_meta
    columns.pop(n - i)
TypeError: unsupported operand type(s) for -: 'str' and 'int'
Exporting submission.csv result...
ERROR: Script did not produce a submission.csv file in the main directory.
================ END ================

@bull How can I make succesfull submission?

It looks like I should make /data folder on the same level as /assets